Deploy ORES filters to Simple Wikipedia
Closed, ResolvedPublic

Description

See T181848: Experiment with using English Wikipedia models on Simple English. We're using the English Wikipedia models and it looks like they are useful. We're also working on building models dedicated to Simple English Wikipedia, but that'll require more work.

We should be able to get these models enabled for Simple English by Dec. 8th, 2017. So announcements to Simple English Wikipedia should start now. @Adotchar has been working with us (Scoring-platform-team)

Halfak created this task.Dec 4 2017, 5:18 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptDec 4 2017, 5:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Halfak added a comment.Dec 4 2017, 9:58 PM

Confirmed that this now deployed to the ORES service. https://ores.wikimedia.org/v3/scores/simplewiki/2143234 The ORES RC Filters should be enable-able now.

Change 395818 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable ORES filters on simplewiki

https://gerrit.wikimedia.org/r/395818

Samtar added a subscriber: Samtar.Dec 7 2017, 11:49 AM

What is the status of that task? I haven't seen the filters deployed on simpe.wp.

I don't think this is blocked from ORES end. Is there any issue with enabling the RC Filters?

@Catrope This should be unblocked from our perspective. The likely issue was T183468: Deprecate CheckModelVersions and integrate it with the extension workflow, which Amir solved by inlining the version checks during score response parsing.

Ping! This is unblocked. :)

I would recommend deploying this after deployment of wmf.20 (next week I guess) I fixed something that make things more robust.

Halfak added a comment.Feb 9 2018, 5:07 PM

I just talked to @Adotchar and it appears that this is not done yet.

It's completely unblocked on the scoring platform team side. I can take over and enable it or leave it to collab's team. It's a half-an-hour task. Check out old enables.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 23 2018, 5:47 PM

Change 395818 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable ORES filters on simplewiki

https://gerrit.wikimedia.org/r/395818

Mentioned in SAL (#wikimedia-operations) [2018-02-27T00:40:45Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable ORES filters on simplewiki (T182012) (duration: 00m 56s)

Catrope closed this task as Resolved.Feb 27 2018, 1:16 AM
Catrope claimed this task.
awight mentioned this in Unknown Object (Phame Post).May 2 2018, 6:42 PM
awight mentioned this in Unknown Object (Phame Post).
awight mentioned this in Unknown Object (Phame Post).